View Issue Details

IDProjectCategoryView StatusLast Update
0000281Bacula-Webbugpublic2019-01-05 10:29
ReporterRichard2814Assigned Todavide 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSDebianOS Version9.6
Product Version8.1.0 
Target VersionFixed in Version 
Summary0000281: SQLSTATE[HY000] [2002] Connexion refusée
DescriptionBonjour,

Voici le message d'erreur que j'ai après saisie des codes de connexion sur la page d'accueil "http://@IP/bacula-web/index.php"

Database error
Details
A problem with the description below happen

Problem: SQLSTATE[HY000] [2002] Connexion refusée
Help
Have you tried to run the test page ?
Check the online documentation on Bacula-Web project site
Rebort a bug or suggest a new feature in the Bacula-Web's bugtracking tool
Debug
File: /var/www/html/bacula-web/core/db/cdb.class.php
Line: 42
Code: 2002
Exception trace
File: /var/www/html/bacula-web/core/db/cdb.class.php on line 42 in function PDO->__construct
File: /var/www/html/bacula-web/core/app/cmodel.class.php on line 46 in function CDB->connect
File: /var/www/html/bacula-web/application/views/dashboard.view.php on line 32 in function CModel->__construct
File: /var/www/html/bacula-web/core/app/webapplication.class.php on line 106 in function DashboardView->prepare
File: /var/www/html/bacula-web/index.php on line 21 in function WebApplication->run

J'utilise une pile LAMP: Debian 9.6 / Apache2 / Mysql-Server 5.5 / PHP 7.0

Pouvez-vous m'aider à solutionner le problème de connexion que je rencontre?
Merci par avance pour votre aide.
Cordialement.
TagsNo tags attached.

Activities

davide

2018-12-27 10:45

manager   ~0000921

Bonjour,

Pourriez-vous vérifier le status de votre installation svp ?
http://docs.bacula-web.org/en/v8.1.0/02_install/test.html#using-bacula-web-console

Merci de me renvoyer le résultat de la commande

Richard2814

2018-12-27 11:02

reporter   ~0000922

Voici le retour de la commande:

root@FRAUNBACKUP01:~# sudo -u www-data php bwc check
Could not open input file: bwc

Faut-il installer le paquet "bwctl-server"?

davide

2018-12-27 12:59

manager   ~0000923

Vous n'avez pas besoin d'installer le paquet bwctl-server.

Depuis où avez-vous lancé la commande ?
Vous devez l'executer depuis la racine de votre installation Bacula-Web
/var/www/html/bacula-web <- par exemple.

Richard2814

2018-12-27 13:54

reporter   ~0000924

Autant pour moi, je n'étais pas dans le répertoire.

Voici le retour de la commande:

root@FRAUNBACKUP01:/var/www/html/bacula-web# sudo -u www-data php bwc check

=======================
Checking requirements
=======================

Ok PHP version
Warning PHP timezone
Ok Protected assets folder is writable
Ok Smarty cache folder write permission
Ok PHP Posix support
Ok PHP PDO support
Ok PHP SQLite support
PDO drivers (available):
         driver: mysql
         driver: sqlite
Ok PHP Gettext support
Ok PHP Session support

davide

2018-12-27 14:54

manager   ~0000925

Pouvez-vous me confirmer que vous arrivez à vous connecter à la base de données bacula en utilisant le client MySQL ?

$ mysql -u <user> -p -h <dbhost> <dbname>

Si cela ne fonctionne pas, merci de m'envoyer le fichier application/config/config.php en cachant les mots de passe.

Merci pour votre retour

Richard2814

2018-12-28 08:40

reporter   ~0000928

Bonjour,

Voici le résultat de la commande:

root@FRAUNBACKUP01:~# mysql -u bacula -p -h 10.96.1.7 bacula
Enter password:
ERROR 2003 (HY000): Can't connect to MySQL server on '10.96.1.7' (111 "Connection refused")

J'arrive à me connecter à la base "bacula" comme ceci:

root@FRAUNBACKUP01:~# mysql -u root -p
Enter password:
Welcome to the MariaDB monitor. Commands end with ; or \g.
Your MariaDB connection id is 4
Server version: 10.1.37-MariaDB-0+deb9u1 Debian 9.6

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [(none)]> Use bacula
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
MariaDB [bacula]>

De plus, voici les droits pour les utilisateurs "root" et "bacula":
MariaDB [bacula]> SHOW GRANTS FOR root@localhost;
+------------------------------------------------------------------------------------------------+
| Grants for root@localhost |
+------------------------------------------------------------------------------------------------+
| GRANT ALL PRIVILEGES ON *.* TO 'root'@'localhost' IDENTIFIED VIA unix_socket WITH GRANT OPTION |
| GRANT PROXY ON ''@'%' TO 'root'@'localhost' WITH GRANT OPTION |
+------------------------------------------------------------------------------------------------+
2 rows in set (0.00 sec)

MariaDB [bacula]> SHOW GRANTS FOR bacula@localhost;
+---------------------------------------------------------------------------------------------------------------+
| Grants for bacula@localhost |
+---------------------------------------------------------------------------------------------------------------+
| GRANT USAGE ON *.* TO 'bacula'@'localhost' IDENTIFIED BY PASSWORD '*XXXXXXXXXXXXXXXXXXXXXXXXX' |
| GRANT ALL PRIVILEGES ON `bacula`.* TO 'bacula'@'localhost' |
+---------------------------------------------------------------------------------------------------------------+
2 rows in set (0.00 sec)

davide

2018-12-29 21:18

manager   ~0000929

Essayer avec ou sans l’adresse ip dans la configuration.
Vous devriez pouvoir vous connecter sans problème

davide

2018-12-29 21:19

manager   ~0000930

Est-ce que la base de données et bacula-web sont sur le même serveur ?

Richard2814

2019-01-04 16:20

reporter   ~0000932

Bonjour,

Tous mes meilleurs voeux pour 2019.

Le problème a été corrigé en passant la commande "grant all privileges on *.bacula to root@localhost identified by 'mot de passe'

Merci pour votre aide.

davide

2019-01-05 10:28

manager   ~0000933

Magnifique ! Content de savoir que votre installation de Bacula-Web fonctionne à présent :)
 
Heureuse année à vous aussi.

Issue History

Date Modified Username Field Change
2018-12-27 09:38 Richard2814 New Issue
2018-12-27 10:44 davide Assigned To => davide
2018-12-27 10:44 davide Status new => assigned
2018-12-27 10:45 davide Status assigned => feedback
2018-12-27 10:45 davide Note Added: 0000921
2018-12-27 11:02 Richard2814 Note Added: 0000922
2018-12-27 11:02 Richard2814 Status feedback => assigned
2018-12-27 12:59 davide Note Added: 0000923
2018-12-27 13:54 Richard2814 Note Added: 0000924
2018-12-27 14:54 davide Status assigned => feedback
2018-12-27 14:54 davide Note Added: 0000925
2018-12-28 08:40 Richard2814 Note Added: 0000928
2018-12-28 08:40 Richard2814 Status feedback => assigned
2018-12-29 21:18 davide Note Added: 0000929
2018-12-29 21:19 davide Note Added: 0000930
2019-01-04 16:20 Richard2814 Note Added: 0000932
2019-01-05 10:28 davide Note Added: 0000933
2019-01-05 10:29 davide Status assigned => closed
2019-01-05 10:29 davide Resolution open => fixed